{% extends "layout.html" %}
{% block content %}
	<div class="row">
		<div id="user_details">
			<form method="POST" class="user_form" id="registration_form" action="" autocomplete="off">
				<div class="row">
					<div class="col-sm-12 col-md-6 col-lg-6 mb-4">
						<label class="mb-1">Name</label>
						<input type="text" class="form-control" value="{{ patient_data[0].name if patient_data else ''}}" name="name"
						       id="name">
					</div>
					<div class="col-sm-12 col-md-6 col-lg-6 mb-4">
						<label class="mb-1">Username</label>
						<input type="text" class="form-control" value="{{ patient_data[0].username  if patient_data else ''}}" name="username"
						       id="username">
					</div>
				</div>
				<div class="row">
					<div class="col-sm-12 col-md-6 col-lg-6 mb-4">
						<label class="mb-1">Phone Number</label>
						<input type="number" class="form-control" value="{{ patient_data[0].phone  if patient_data else ''}}" name="phone"
						       id="phone">
					</div>
					<div class="col-sm-12 col-md-6 col-lg-6 mb-4">
						<label class="mb-1">E-mail</label>
						<input type="email" class="form-control" value="{{ patient_data[0].email  if patient_data else ''}}" name="email"
						       id="email">
					</div>
				</div>
				{% if not patient_data %}
				<div class="row">
					<div class="col-sm-12 col-md-6 col-lg-6 mb-4">
						<label class="mb-1">Password</label>
						<input type="password" class="form-control" value="" name="password" id="password">
					</div>
					<div class="col-sm-12 col-md-6 col-lg-6 mb-4">
						<label class="mb-1">Confirm Password</label>
						<input type="password" class="form-control" value="" name="confirm_password" id="confirm_password">
						<label id="confirm_password-error" class="error" for="confirm_password" style="display:
						none"></label>
					</div>
				</div>
				{% endif %}
				<div class="row">
					<div class="col-sm-12 col-md-6 col-lg-6 mb-4">
						<input type="button" class="btn btn-outline-primary submit" name="submit" id="next_btn"
						       value="Next">
						<a href="{{ url_for('main.home') }}" class="btn btn-outline-secondary">Cancel</a>
					</div>
				</div>
			</form>
		</div>
		<div id="address_details" style="display: none">
			<form method="POST" class="user_form" id="address_form" action="" autocomplete="off">
				<div class="row">
					<div class="col-sm-12 col-md-6 col-lg-6 mb-4">
						<label class="mb-1">Address Line 1</label>
						<input type="text" class="form-control" value="{{ patient_data[0].address_1  if patient_data else ''}}"
						       name="address_1" id="address_1">
					</div>
					<div class="col-sm-12 col-md-6 col-lg-6 mb-4">
						<label class="mb-1">Address Line 2</label>
						<input type="text" class="form-control" value="{{ patient_data[0].address_2  if patient_data else ''}}"
						       name="address_2" id="address_2">
					</div>
				</div>
				<div class="row">
					<div class="col-sm-12 col-md-6 col-lg-6 mb-4">
						<label class="mb-1">City</label>
						<input type="text" class="form-control" value="{{ patient_data[0].city  if patient_data else ''}}" name="city"
						       id="city">
					</div>
					<div class="col-sm-12 col-md-6 col-lg-6 mb-4">
						<label class="mb-1">State</label>
						<input type="text" class="form-control" value="{{ patient_data[0].state  if patient_data else ''}}" name="state"
						       id="state">
					</div>
				</div>
				<div class="row">
					<div class="col-sm-12 col-md-6 col-lg-62 mb-4">
						<label class="mb-1">Pincode</label>
						<input type="text" class="form-control" value="{{ patient_data[0].pincode  if patient_data else ''}}" name="pincode"
						       id="pincode">
					</div>
					<div class="col-sm-12 col-md-6 col-lg-6 mb-4">
						<label class="mb-1">Country</label>
						<input type="text" class="form-control" value="{{ patient_data[0].country  if patient_data else ''}}" name="country"
						       id="country">
					</div>
					<input type="hidden" id="user_data" name="user_data" value="">
				</div>
				<div class="row">
					<div class="col-sm-12 col-md-12 col-lg-12 mb-4">
						<a href="javascript:void(0)" class="btn btn-info" id="submit">{{ 'Update' if patient_data
						else 'Sign Up' }}</a>
						<a href="javascript:void(0)" class="btn btn-info" id="previous">Previous</a>
						<a href="{{ url_for('main.home') }}" class="btn btn-outline-secondary">Cancel</a>
					</div>
				</div>
			</form>
		</div>
	</div>
{% endblock content %}
{% block jquery %}
	<script src="{{ url_for('static', filename='js/registration.js')}}"></script>
{% endblock jquery %}